import { SetTestContainerState } from '../components/TestContext';
import { BeforeAndAfterFunctions, GroupRecord, TestContainerState, TestRecord, TestState, TestStats, TestType, UpdateTestClosure } from "../types";
export declare const isTestComplete: (test: TestType) => boolean;
export declare const checkIfAllTestsComplete: (tests: TestRecord) => boolean;
export declare function getInitialContainerState(containerId: string): TestContainerState;
export declare function executeTest(curentTest: TestType, containerState: TestContainerState, updateTest: UpdateTestClosure, containerBeforeAndAfterFunctions: BeforeAndAfterFunctions): Promise<void>;
export declare const handleAfterFunctions: (tests: TestRecord, currentTest: TestType, groupRecord: GroupRecord, containerBeforeAndAfterFunctions: BeforeAndAfterFunctions) => void;
export declare function getTestStats(tests: TestType[]): TestStats;
export declare function toValidDOMId(id: string): string;
export declare const waitFor: (condition: () => boolean, maxWaitMilliseconds?: number) => Promise<void>;
export declare const updateTest: (test: TestType, updateIndex: boolean, containerId: string, containerState: TestContainerState, setContainerState: SetTestContainerState) => TestContainerState;
export declare const handleBeforeFunctions: (tests: TestRecord, currentTest: TestType, groupRecord: GroupRecord, containerBeforeAndAfterFunctions: BeforeAndAfterFunctions) => void;
export declare const getContainerIds: (contentDocument: Document) => string[];
export declare const groupTests: (tests: TestType[], noGroupName?: string) => Record<string, TestType[]>;
export declare const getTestArrayFromContainerState: (containerState?: TestContainerState | null) => TestType[];
export declare const getNumFailedTests: (containerStates: TestContainerState[]) => number;
export declare const getIconStyles: (state: TestState) => string;
export declare const getBorderStyles: (state: TestState) => string;
//# sourceMappingURL=testHelpers.d.ts.map